Summary: Parses the Accept-Language field in HTTP headers
Name: nginx-mod-accept-language
Version: 1.1.1
Release: 1%{?dist}
Vendor: Artera
URL: https://github.com/mtorromeo/nginx_accept_language_module

%define _nginxver           1.20.1
%define nginx_config_dir    %{_sysconfdir}/nginx
%define nginx_build_dir     %{_builddir}/nginx-%{_nginxver}
%define mod_build_dir       %{_builddir}/%{name}-%{version}

Source0: https://nginx.org/download/nginx-%{_nginxver}.tar.gz
Source1: https://github.com/mtorromeo/nginx_accept_language_module/archive/%{version}/%{name}-%{version}.tar.gz

Requires: nginx = 1:%{_nginxver}
BuildRequires: nginx
BuildRequires: libtool
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: openssl-devel
BuildRequires: pcre-devel
BuildRequires: zlib-devel
BuildRequires: perl-devel
BuildRequires: gd-devel
BuildRequires: GeoIP-devel
BuildRequires: libxslt-devel
BuildRequires: perl-devel
BuildRequires: perl(ExtUtils::Embed)
BuildRequires: gperftools-devel

License: BSD

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This module parses the Accept-Language header and gives the most suitable locale for the user from a list of supported locales from your website.

%prep
%setup -q -n nginx-%{_nginxver}
%setup -T -D -b 1 -n nginx_accept_language_module-%{version}

%build
cd %{_builddir}/nginx-%{_nginxver}
./configure --with-file-aio --with-ipv6 --with-stream --with-compat %(nginx -V 2>&1 | grep -Po -- '--with-http[^ ]+' | xargs echo) --with-cc-opt='-std=c99 -Wno-error=unused-variable %{optflags}' --add-dynamic-module=../nginx_accept_language_module-%{version}
make modules

%install
%{__rm} -rf %{buildroot}

%{__install} -Dm755 %{nginx_build_dir}/objs/ngx_http_accept_language_module.so \
    $RPM_BUILD_ROOT%{_libdir}/nginx/modules/ngx_http_accept_language_module.so

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/nginx/modules/*.so
